Bug 292461 - Some of Japanese/Chinese characters are scrambled.
Summary: Some of Japanese/Chinese characters are scrambled.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-16 14:48 UTC by Takayuki Ogawa
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 01:46:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The first screen shown the scrambled characters. (44.98 KB, image/png)
2007-09-16 14:48 UTC, Takayuki Ogawa
no flags Details

Description Takayuki Ogawa 2007-09-16 14:48:32 UTC
Description of problem:
Some of Japanese/Chinese characters are scrambled if the installation is started
in their language.

Version-Release number of selected component (if applicable):
The version is 11.3.0.28.

How reproducible:
Start graphical installation in Japanese or Chinese language from DVD image file.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Some Japanese/Chinese characters are scrambled.

Expected results:
None of characters are scrambled.

Additional info:
Example of the scrambled characters are as follows:
ー: U+30FC
U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK
UTF-8: 0xE3 0x83 0xBC

国: U+56FD
U+56FD CJK UNIFIED IDEOGRAPH-56FD
UTF-8: 0xE5 0x9B 0xBD


Resemble bug is appeared in
java-1.7.0-icedtea-1.7.0.0-0.15.b19.snapshot.fc8

Comment 1 Takayuki Ogawa 2007-09-16 14:48:32 UTC
Created attachment 196731 [details]
The first screen shown the scrambled characters.

Comment 2 Jeremy Katz 2007-09-18 01:46:40 UTC
Should be fixed in CVS.  Fonts changed right before the freeze and we didn't
know anaconda needed changing until too late.


Note You need to log in before you can comment on or make changes to this bug.